﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ConditionMapping
{
    public partial class Form1 : Form
    {
        private MyDataSet _dataSource;

        public Form1()
        {
            InitializeComponent();

            _dataSource = DataBuilder.BuildPersons();

            bindingSource.DataSource = _dataSource;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            foreach (Person p in _dataSource.PersonCollection)
            {
                bool flip  = p.IsHighlighted ? false : true;
                p.IsHighlighted = flip;
            }
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["IsHighlighted"].Hidden = true;
        }
    }
}
